#!/usr/bin/env racket
#lang racket/base

(require racket/format)

(provide all-packages package-options)

(define (mygit  a) (~a "https://git.greyserv.net/packages/" a))
(define (gitlab a) (~a "https://gitlab.com/" a))
(define (github a) (~a "https://github.com/" a))

(define all-packages
  (list
    'embree2
    'kmozillahelper
    'libsodium-git
    'vim-runtime-git
    'wxgtk2-tb

    'applyppf
    'basiliskii-git
    'bsnes-plus-git
    'cc65
    'chocolate-doom
    'crosstool-ng-git
    'dolphin-emu-git
    'ericw-tools
    'f3
    'firefox-kde-opensuse-bin
    'gdcc-git
    'gitahead
    'gmqcc-git
    'gopherus
    'gtk3-nocsd-git
    'gvim-git
    'higan
    'maxcso
    'mednaffe
    'megasync
    'megatools
    'mgba-git
    'minecraft-launcher
    'minecraft-server-fabric
    'motsognir
    'mupen64plus-git
    'mupen64plus-gui-git
    'mupen64plus-rsp-cxd4-git
    'mupen64plus-video-angrylion-plus-git
    'mupen64plus-video-gliden64
    'ndstrim
    'nicotine-plus-git
    'obs-linuxbrowser-bin
    'otf-linjapona
    'otf-san-francisco
    'pkgtop-git
    'ppsspp-git
    'prboom-plus
    'previous-svn
    'qjoypad
    'quakespasm
    'quakespasm-spiked-git
    'quark-shaders
    'radeontop
    'ripcord
    'sharenix-git
    'sheepshaver-git
    'slade
    'trenchbroom
    'ttf-twemoji-color
    'uade
    'xf86-input-xwiimote-git
    'xwiimote-git
    'yamagi-quake2
    'zdoom))

(define package-options
  (hash
    'embree2         (hash 'asdeps #t)
    'kmozillahelper  (hash 'asdeps #t)
    'libsodium-git   (hash 'asdeps #t)
    'vim-runtime-git (hash 'asdeps #t)
    'wxgtk2-tb       (hash 'asdeps #t)

    'bsnes-plus-git
      (hash 'url (mygit "bsnes-plus-git.git"))

    'gmqcc-git
      (hash 'url (mygit "gmqcc-git.git"))

    'higan
      (hash 'handle 'higan
            'url (gitlab "higan/higan.git/"))

    'minecraft-server-fabric
      (hash 'url (mygit "minecraft-server-fabric.git"))

    'otf-linjapona
      (hash 'url (mygit "otf-linjapona.git"))

    'ppsspp-git
      (hash 'url (mygit "ppsspp-git.git"))

    'quakespasm
      (hash 'url (mygit "quakespasm.git"))

    'quakespasm-spiked-git
      (hash 'url (mygit "quakespasm-spiked-git.git"))

    'quark-shaders
      (hash 'handle 'higan-shaders
            'url (github "hizzlekizzle/quark-shaders"))))

;; EOF
